<template>
	<v-card>
		<v-list-item two-line>
			<v-list-item-content>
				<v-list-item-title class="headline">{{ company.name }}</v-list-item-title>
				<v-list-item-subtitle>{{ company.ticker }}</v-list-item-subtitle>
			</v-list-item-content>
		</v-list-item>
		<v-card-text>
			<v-row align="center">
				<v-col cols="8">
					<h1 class="display-3" v-if="company.price">{{ company.price.pc }}</h1>
					<p v-if="company.finnhubIndustry">Industry: {{ company.finnhubIndustry }}</p>
					<p v-if="company.marketCapitalization">Market Cap: {{ company.marketCapitalization }}</p>
					<p v-if="company.weburl">
						<a :href="company.weburl" target="_blank">Website</a>
					</p>
				</v-col>
				<v-col cols="4" v-if="company.logo">
					<v-img :src="company.logo" :alt="company.name + ' logo.'" width="92"></v-img>
				</v-col>
			</v-row>
		</v-card-text>
		<v-divider />
		<v-card-actions>
			<v-btn
				text
				:to="'/stocks/' + company.ticker"
			>
				Info
			</v-btn>
			<v-btn
				text
				:disabled="loading"
				@click="showPurchaseDialog = true"
			>
				Buy / Sell
			</v-btn>
			<v-btn
				text
				:disabled="loading"
				@click="addToWatchlist"
			>
				Add to watchlist
			</v-btn>
			<v-btn
				text
				color="error"
				:disabled="loading"
				@click="remove"
			>
				Remove
			</v-btn>
		</v-card-actions>
		<app-purchase-dialog :open="showPurchaseDialog" :company="company" />
	</v-card>
</template>

<script>
import PurchaseDialog from '@/components/stocks/PurchaseDialog';

export default {
	components: {
		appPurchaseDialog: PurchaseDialog,
	},
	props: {
		company: { type: Object, default: null },
		loading: { type: Boolean, default: false },
	},
	data() {
		return {
			showPurchaseDialog: false,
		};
	},
	computed: {
		stocks() {
			return this.$store.getters.stocks;
		}
	},
	methods: {
		addToWatchlist() {
			console.log('addToWatchlist');
		},
		remove() {
			this.$emit('remove-from-search-list', this.company.ticker);
		},
	},
};
</script>